# QTextFrame Class Reference

### [com.trolltech.qt.gui package]

Inherits QTextObject.

### Constructor

- void QTextFrame(QTextDocument doc)

### Constructor Properties

- prototype: The QTextFrame prototype object

### Prototype Object Properties

The QTextFrame prototype object inherits properties from the QTextObject prototype object and also has the following properties.

- QTextFrame_iterator begin()
- List childFrames()
- QTextFrame_iterator end()
- QTextCursor firstCursorPosition()
- int firstPosition()
- QTextFrameFormat frameFormat()
- QTextCursor lastCursorPosition()
- int lastPosition()
- QTextFrame parentFrame()
- void setFrameFormat(QTextFrameFormat format)

### Instance Properties

QTextFrame objects have no special properties beyond those inherited from the QTextFrame prototype object.